Subject: Re: [WIP/PATCH 2/9] Teach reset the --[no-]recurse-submodules option

From: Jens Lehmann <[email-masked]>
Date: Fri, 07 Feb 2014 22:09:00 +0100

Am 03.02.2014 23:40, schrieb Junio C Hamano:
> Jens Lehmann <[email-masked]> writes:
> 
>> This new option will allow the user to not only reset the work tree of
>> the superproject but to also update the work tree of all initialized
>> submodules (so they match the SHA-1 recorded in the superproject) when
>> used together with --hard or --merge. But this commit only adds the
> 
> I agree that --soft and --mixed should not do anything.  I am not
> sure why --keep should not do anything to submodule working trees
> when asked to recurse, though.

Correct, I missed that option. I think it should update submodules
too.